package com.ym.mec.biz.service;


import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysMusicScoreAccompanimentService extends BaseService<Integer, SysMusicScoreAccompaniment> {

    void updateAcc(SysMusicScoreAccompaniment sysMusicScoreAccompaniment);

    List<SysMusicScoreAccompaniment> queryAll(SysExamSongQueryInfo queryInfo);

    List<SysMusicScoreAccompaniment> queryAccPage(SysExamSongQueryInfo queryInfo);

    List<Subject> querySubjectIds();

    PageInfo<SysMusicScoreAccompaniment> queryScorePage(SysExamSongQueryInfo queryInfo);
}